import os
import logging

from ..context import Context
from ..registration import REPOS, REPO_AUTH_FILE

logger = logging.getLogger(__name__)

def __call__ (config):
    context = Context(config, logger)
    
    logger.info("Removing CaptureCast repository from apt")
    context.call_privileged(["rm", context.get_path(REPOS["capturecast"]["file"])])

    cattura_auth_file = context.get_path(REPO_AUTH_FILE)
    if os.path.exists(cattura_auth_file):
        logger.info("Removing CaptureCast registration details from apt")
        context.call_privileged(["rm", cattura_auth_file])

    # update apt-get
    context.apt_update()